﻿using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;
using VBR11WebSample.Models;

namespace VBR11WebSample.Controllers
{
    public class HomeController : Controller
    {
        private readonly ReportService reportService;

        public HomeController(ReportService reportService)
        {
            this.reportService = reportService;
        }

        [HttpGet]
        public IActionResult Index()
        {
            IndexViewModel indexViewModel = new IndexViewModel();
            return View(indexViewModel);
        }

        [HttpPost]
        public IActionResult DataList()
        {
            IndexViewModel indexViewModel = new IndexViewModel();
            indexViewModel.ReportDocument = reportService.DataList();
            return View("Index", indexViewModel);
        }

        [HttpPost]
        public IActionResult Invoice()
        {
            IndexViewModel indexViewModel = new IndexViewModel();
            indexViewModel.ReportDocument = reportService.Invoice();
            return View("Index", indexViewModel);
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}